Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.enumeration
Enum MimeType

    java.lang.Object
      java.lang.Enum<MimeType>
          be.ehealth.technicalconnector.enumeration.MimeType

All Implemented Interfaces:
  Serializable, Comparable<MimeType>

    public enum MimeType

extends Enum<MimeType>

Enumeration for MimeTypes

Enum Constant Summary
`octectstream` application/octet-stream
`plaintext` plain/text

Method Summary
`String` | `getValue()`
`static MimeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### plaintext

    public static final MimeType plaintext

  plain/text

### octectstream

    public static final MimeType octectstream

  application/octet-stream

Method Detail

### values

    public static MimeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MimeType c : MimeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MimeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public String getValue()

  Returns:
    the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.